'use strict';

module.exports = function generateItemStyle(item, options) {
	let style = Object.assign({}, options.defaultStyle);

	item.tags.forEach((tag) => {
		if (tag.type === "class") {
			tag.classNames.forEach((className) => {
				if (options.classes[className] == null) {
					throw new Error(`Encountered unrecognized class ${className} in text`);
				} else {
					Object.assign(style, options.classes[className]);
				}
			});
		}
	});

	return style;
}
