'use strict';

const pegjs = require("pegjs");
const util = require("util");
const fs = require("fs");
const createBetterPegTracer = require("better-peg-tracer");

//let toParse = "hello {bold}world {italic}{color:red}people{/color}{/italic}{/bold}!";

let toParse = `
foo{{{}}
{{align:center}bar
qux {class:test1,test2}baz{/class}{/align}}
`.trim();

let parser = pegjs.buildParser(fs.readFileSync("./src/parser/tag-parser.pegjs").toString(), {
	trace: true
});

let results = parser.parse(toParse, {
	tracer: createBetterPegTracer(toParse)
});

console.log("\n\n");
console.log(util.inspect(results, {colors: true, depth: null}));
